PS Store revamp will dump the PS3 browser, require PS3 firmware 2.30

By Patrick Garratt, Monday, 31 March 2008 17:06 GMT

psstore2.jpg

Says so here. It also says in that piece that the update – announced today for a mid-April launch – will require everyone to update to firmware 2.30. SCEE hasn’t talked about the new software update yet, but you’re going to be getting it in the next couple of weeks, if that’s to be believed.

Sometimes we include links to online retail stores. If you click on one and make a purchase we may receive a small commission. For more information, go here.

Comments